Last modified: 2013-03-21 09:14:37 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 43070 - [Regression] E-Mail notification mail: page names with "&" come as "&"
[Regression] E-Mail notification mail: page names with "&" come as "&"
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Email (Other open bugs)
1.21.x
All All
: High normal (vote)
: 1.21.0 release
Assigned To: bsitu
: code-update-regression
Depends on:
Blocks: 1932
  Show dependency treegraph
 
Reported: 2012-12-13 14:06 UTC by T. Gries
Modified: 2013-03-21 09:14 UTC (History)
4 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description T. Gries 2012-12-13 14:06:35 UTC
I noticed with 

* MediaWiki 1.21alpha (067fe75)

that "&" in pagenames are sent as (e-notif arrives with) "&"

This is a regression.
Comment 1 Nemo 2013-01-07 14:53:49 UTC
Yes, just noticed this as well:

Outreach Wiki page GLAM/Tools & Requests has been changed by Tpt

Dear Nemo bis,

The Outreach Wiki page GLAM/Tools & Requests has been changed on
6 January 2013 by Tpt, see
http://outreach.wikimedia.org/wiki/GLAM/Tools_%26_Requests for the
current revision.
Comment 2 T. Gries 2013-01-10 02:08:34 UTC
Can the person who broke the email notification subject line coding please fix this regression? Thanks in advance.
Comment 3 T. Gries 2013-01-10 02:09:57 UTC
"MediaWiki page Manual:MediaWiki Developer's Guide has been changed by Qgil"
Comment 4 Andre Klapper 2013-01-10 02:23:22 UTC
This does not sound like "Should be fixed next by a team and certainly before the next deployment" so I reset "Highest priority" to "High".


Looking at the code my wild guess would be the lines after 
"# Now build message's subject and body" in
https://gerrit.wikimedia.org/r/gitweb?p=mediawiki/core.git;a=blobdiff;f=includes/UserMailer.php;h=daf74357a354417328e11490cb16fca4427f0941;hp=b9ce9e0574d14122fc5fc1c9c0772a61658b8352;hb=494529503b41142d68d52c458a44b82577699785;hpb=8199d6121aeadb4a6c9c6975b804e3e55e112fd5

The patch was written by bsitu, hence CC'ing.
Comment 5 bsitu 2013-01-10 18:20:43 UTC
They should have been fixed in here along with the backward compatibility of $CHANGEDORCREATED: https://gerrit.wikimedia.org/r/#/c/39179/1/includes/UserMailer.php, I updated escaped() to text()
Comment 6 Andre Klapper 2013-03-20 15:44:48 UTC
(In reply to comment #5)
> They should have been fixed in here along with the backward compatibility of
> $CHANGEDORCREATED:
> https://gerrit.wikimedia.org/r/#/c/39179/1/includes/UserMailer.php, I updated
> escaped() to text()

Not sure how to interpret "they should have been fixed", so can anybody confirm if this is still a problem, please?
T. Gries, Nemo_bis?
Comment 7 Nemo 2013-03-20 16:19:57 UTC
The Outreach Wiki page GLAM/Tools & Requests has been changed on
20 March 2013 by Nemo quater, see
http://outreach.wikimedia.org/wiki/GLAM/Tools_%26_Requests for the
current revision.
Comment 8 Andre Klapper 2013-03-21 09:10:51 UTC
Thanks!

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links